## Git Commit Msg


- **Format of the commit message**

```
feat: add travis.yml
^--^  ^------------^
|     |
|     +-> Summary in present tense.
|
+-------> Type: feat, fix, docs, style, refactor, test or chore.
```

- **Type values**

	* **feat** (new feature for the user, not a new feature for build script)
	* **fix** (bug fix for the user, not a fix to a build script)
	* **docs** (changes to the documentation)
	* **style** (formatting, missing semi colons, etc; no production code change)
	* **refactor** (refactoring production code, eg. renaming a variable)
	* **test** (adding missing tests, refactoring tests; no production code change)
	* **chore** (updating grunt tasks etc; no production code change)


#### Inspired by [Karma's commit style](http://karma-runner.github.io/latest/dev/git-commit-msg.html).






